<template>
	<main>
		<EmailIdentities id="identities" class="box" title="Identities" />
		<LegacyAccounts id="legacy-accounts" class="box" title="Legacy game accounts" />
		<GameAccounts id="game-accounts" class="box" title="rEvolt Game accounts" />
		<!-- TODO: wiki accounts -->
		<!-- TODO: forum accounts -->
	</main>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator"
import EmailIdentities from "@/components/EmailIdentities.vue"
import LegacyAccounts from "@/components/LegacyAccounts.vue"
import GameAccounts from "@/components/GameAccounts.vue"

@Component({
	components: {
		EmailIdentities,
		LegacyAccounts,
		GameAccounts,
	},
})
export default class VaultOverview extends Vue {}
</script>

<style scoped>
.box {
	padding: 1em 1em 1em 1em;
	margin-bottom: 1em;

	&:not(:focus-within):not(:hover):not(:focus) {
		border-color: transparent;
	}
}

.box:focus-within, .box:focus {
	/* chromium bug */
	border-color: inherit!important;
}
</style>
